%define plugdir %{_libdir}/gkrellm2/plugins

Name:           gkrellmms
Version:        2.1.22
Release:        3

Summary:        GKrellM XMMS plugin

Group:          Applications/Multimedia
License:        GPL
URL:            http://gkrellm.luon.net/gkrellmms.phtml
Source0:        http://gkrellm.luon.net/files/gkrellmms-2.1.22.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  gtk+-devel >= 1.2.10, gtk2-devel >= 2.0.1, xmms-devel >= 1.2.8
BuildRequires:  gkrellm-devel, gettext

Requires:       gkrellm >= 2.0, xmms >= 1.2.8

%description
GKrellM plugin for controlling XMMS.


%prep
%setup -q -n %{name}


%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags} enable_nls=1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{plugdir},%{_datadir}/locale}
%makeinstall \
  INSTALL_PROGRAM="install -p" \
  PLUGIN_DIR=$RPM_BUILD_ROOT%{plugdir} \
  LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
  enable_nls=1
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc Changelog README Themes FAQ
%{plugdir}/*


%changelog
* Sun May  8 2005 Brian Pepple <bdpepple@ameritech.net> - 2.1.22-3
- Rebuilt.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Mar 23 2005 Brian Pepple <bdpepple@ameritech.net> - 2.1.22-1
- Updated to 2.1.22.
- Drop epochs from BuildRequires.

* Fri May  7 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.19-0.fdr.1
- Updated to 2.1.19.

* Tue May  4 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.18-0.fdr.1
- Updated to 2.1.18.
- Removed version number patch, since it's not needed.

* Mon Apr 26 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.17-0.fdr.1
- Updated to 2.1.17.
- Added patch to correct version number in about window.

* Thu Mar 25 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.16-0.fdr.2
- Add 'install-p', so debug rpm works.

* Wed Mar 24 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.16-0.fdr.1
- Updated to 2.1.16
- Added BuildRequires for gkrellm-devel.

* Mon Feb 16 2004 Brian Pepple <bdpepple@ameritech.net> 0:2.1.14-0.fdr.1
- Updated to 2.1.14

* Sat Dec  6 2003 Brian Pepple <bdpepple@ameritech.net> 0:2.1.13-0.fdr.1
- Update to 2.1.13

* Thu Dec  4 2003 Brian Pepple <bdpepple@ameritech.net> 0:2.1.12-0.fdr.2
- Corrected build requirements.

* Mon Nov 24 2003 Brian Pepple <bdpepple@ameritech.net> - 0:2.1.12-0.fdr.1
- Initial Fedora release.
